Out-of-bounds Read

Affecting cups package, versions <2.2.10-6+deb10u2

Report new vulnerabilities
Do your applications use this vulnerable package? Test your applications

Overview

In array_find of array.c, there is a possible out-of-bounds read due to an incorrect bounds check. This could lead to local information disclosure in the printer spooler with no additional execution privileges needed. User interaction is not needed for exploitation.Product: AndroidVersions: Android-8.0 Android-8.1 Android-9 Android-10Android ID: A-111210196

References

CVSS Score

5.5
medium severity
  • Attack Vector
    Local
  • Attack Complexity
    Low
  • Privileges Required
    Low
  • User Interaction
    None
  • Scope
    Unchanged
  • Confidentiality
    High
  • Integrity
    None
  • Availability
    None
CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N
CVE
CVE-2019-2228
CWE
CWE-125
Snyk ID
SNYK-DEBIAN10-CUPS-537776
Disclosed
06 Dec, 2019
Published
10 Dec, 2019